<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_paypal', language 'et', version '4.1'.
 *
 * @package     enrol_paypal
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['assignrole'] = 'Määra roll';
$string['businessemail'] = 'PayPali töömeiliaadress';
$string['businessemail_desc'] = 'Teie PayPali ettevõttekonto meiliaadress';
$string['cost'] = 'Kursusele registreerumise maksumus';
$string['costerror'] = 'Kursusele registreerumise maksumus ei ole numbriline';
$string['costorkey'] = 'Palun vali üks järgnevatest registreerumise meetoditest.';
$string['currency'] = 'Valuuta';
$string['defaultrole'] = 'Vaikerollimäärang';
$string['defaultrole_desc'] = 'Saate valida rolli, mis määratakse kasutajatele PayPali registreeringute ajal';
$string['enrolenddate'] = 'Lõppkuupäev';
$string['enrolenddate_help'] = 'Kui see säte on lubatud, siis saab kasutajaid kursusele registreerida kuni märgitud kuupäevani.';
$string['enrolenddaterror'] = 'Registreeringu lõppkuupäev ei saa olla varasem kui alguskuupäev';
$string['enrolperiod'] = 'Registreeringu kestus';
$string['enrolperiod_desc'] = 'Registreerumise kehtivuse vaikeperiood. Kui see on null, on registreerimise vaikekestus piiramatu.';
$string['enrolperiod_help'] = 'Aeg, mille jooksul registreering kehtib, alates kasutaja kursusele registreerimise hetkest. Kui see säte on keelatud, pole registreeringu kestus piiratud.';
$string['enrolstartdate'] = 'Alguskuupäev';
$string['enrolstartdate_help'] = 'Kui see säte on lubatud, siis saab kasutajaid kursusele registreerida alates märgitud kuupäevast.';
$string['errdisabled'] = 'PayPal enrolment plugin on keelatud ja ei käsitle makseteatisi.';
$string['erripninvalid'] = 'PayPal ei ole kiirmakse teatist kinnitanud.';
$string['errpaypalconnect'] = 'Maksega {$a->url} ei saanud ühendust kiirmakse teatise kinnitamiseks: {$a->result}';
$string['expiredaction'] = 'Kursusele registreerumise aegumise toiming';
$string['expiredaction_help'] = 'Valige toiming, mis tehakse, kui kasutaja registreerumine aegub. Pange tähele, et osa kasutajaandmeid ja -sätteid eemaldatakse registreeringu tühistamise ajal kursuselt.';
$string['mailadmins'] = 'Teavita administraatorit';
$string['mailstudents'] = 'Teavita õppijaid';
$string['mailteachers'] = 'Teavita õpetajaid';
$string['messageprovider:paypal_enrolment'] = 'PayPali registreerimisteated';
$string['nocost'] = 'Sellele kursusele registreerumisele pole maksumust määratud.';
$string['paypal:config'] = 'Konfigureeri PayPali registreerumiseksemplarid';
$string['paypal:manage'] = 'Halda kursusele registreeritud kasutajaid';
$string['paypal:unenrol'] = 'Tühista kasutajate registreering kursusele';
$string['paypal:unenrolself'] = 'Tühista minu registreering kursusele';
$string['paypalaccepted'] = 'PayPali maksed aktsepteeritud';
$string['pluginname'] = 'PayPal';
$string['pluginname_desc'] = 'PayPali moodul võimaldab seadistada tasulisi kursusi. Kui kursuse maksumus on null, siis õppijatelt liitumise eest tasu ei küsita. On olemas õpikeskkonnaülene maksumus, mille saate määrata vaikimisi kogu õpikeskkonnale, ja kursusesäte, mille saate määrata igale kursusele eraldi. Kursuse maksumus alistab õpikeskkonna maksumuse.';
$string['privacy:metadata:enrol_paypal:enrol_paypal'] = 'Teave PayPali registreerumise PayPali tehingute kohta.';
$string['privacy:metadata:enrol_paypal:enrol_paypal:business'] = 'Makse saaja (st kaupmehe) e-posti aadress või PayPali konto ID.';
$string['privacy:metadata:enrol_paypal:enrol_paypal:courseid'] = 'Müüdud kursuse ID.';
$string['privacy:metadata:enrol_paypal:enrol_paypal:instanceid'] = 'Kursusel registreerimise eksemplari ID.';
$string['privacy:metadata:enrol_paypal:enrol_paypal:item_name'] = 'Kursuse täielik nimi, mille registreerumine on müüdud.';
$string['privacy:metadata:enrol_paypal:enrol_paypal:memo'] = 'Märkus, mille ostja sisestas PayPali veebisaidi maksete märkuse väljale.';
$string['privacy:metadata:enrol_paypal:enrol_paypal:option_selection1_x'] = 'Ostja täisnimi.';
$string['privacy:metadata:enrol_paypal:enrol_paypal:parent_txn_id'] = 'Tagasimakse, tühistamise või tühistatud tühistamise korral on see algse tehingu tehingu ID.';
$string['privacy:metadata:enrol_paypal:enrol_paypal:payment_status'] = 'Makse staatus.';
$string['privacy:metadata:enrol_paypal:enrol_paypal:payment_type'] = 'Määrab, kas makse finantseeriti eCheckiga (echeck) või finantseeriti PayPali saldo, krediitkaardi või kohese ülekandega (kohene).';
$string['privacy:metadata:enrol_paypal:enrol_paypal:pending_reason'] = 'Makse ootel olemise põhjus.';
$string['privacy:metadata:enrol_paypal:enrol_paypal:reason_code'] = 'Põhjus, miks makseolek on ümber lükatud, tagastatud, tühistatud_tagastamine või tagasilükatud (kui olek on üks neist).';
$string['privacy:metadata:enrol_paypal:enrol_paypal:receiver_email'] = 'Makse saaja peamine epostiaadress.';
$string['privacy:metadata:enrol_paypal:enrol_paypal:receiver_id'] = 'Maksesaaja (st kaupmehe) ainulaadne PayPali konto ID.';
$string['privacy:metadata:enrol_paypal:enrol_paypal:tax'] = 'Makse teostamisel tastutud maksu summa.';
$string['privacy:metadata:enrol_paypal:enrol_paypal:timeupdated'] = 'Aeg, mil Moodle saab informatsiooni PayPali makse kohta.';
$string['privacy:metadata:enrol_paypal:enrol_paypal:txn_id'] = 'Kaupmehe algne tehingu identifitseerimisnumber ostjalt tasumiseks, mille alusel juhtum registreeriti';
$string['privacy:metadata:enrol_paypal:enrol_paypal:userid'] = 'Kursuse ostnud kasutaja ID.';
$string['privacy:metadata:enrol_paypal:paypal_com'] = 'Paypal enrolment plugin saadab kasutajaandmeid Moodle\'ist PayPali veebilehele.';
$string['privacy:metadata:enrol_paypal:paypal_com:address'] = 'Kursuse ostnud kasutaja aadress.';
$string['privacy:metadata:enrol_paypal:paypal_com:city'] = 'Kursuse ostnud kasutaja linn.';
$string['privacy:metadata:enrol_paypal:paypal_com:country'] = 'Kursuse ostnud kasutaja riik.';
$string['privacy:metadata:enrol_paypal:paypal_com:custom'] = 'Sidekriipsudega eraldatud string, mis sisaldab kasutaja (ostja) ID-d, kursuse ID-d, registreerimiseksemplari ID-d.';
$string['privacy:metadata:enrol_paypal:paypal_com:email'] = 'Kursuse ostnud kasutaja epostiaadress.';
$string['privacy:metadata:enrol_paypal:paypal_com:first_name'] = 'Kursuste ostnud kasutaja eesnimi.';
$string['privacy:metadata:enrol_paypal:paypal_com:last_name'] = 'Kursuse ostnud kasutaja perekonnanimi.';
$string['privacy:metadata:enrol_paypal:paypal_com:os0'] = 'Ostja täisnimi.';
$string['processexpirationstask'] = 'PayPali registreerumisega saadetakse aegumisteatised';
$string['sendpaymentbutton'] = 'Saada makse PayPali kaudu';
$string['status'] = 'Luba PayPali kaudu kursustele registreerumised';
$string['status_desc'] = 'Saate vaikimisi lubada kasutada kursusele registreerumiseks PayPali.';
$string['transactions'] = 'PayPali tehingud';
$string['unenrolselfconfirm'] = 'Kas soovite kindlasti tühistada registreeringu kursusele „{$a}“?';
