<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_oauth2', language 'et', version '4.1'.
 *
 * @package     tool_oauth2
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['authconfirm'] = 'See toiming annab autenditud kontole püsiva Moodle’i API-juurdepääsu. See on mõeldud süsteemikontona kasutamiseks, et hallata Moodle’ile kuuluvaid faile.';
$string['authconnected'] = 'Süsteemikonto on nüüd ühendatud võrguühenduseta juurdepääsuks';
$string['authnotconnected'] = 'Süsteemikonto ei olnud ühendatud võrguühenduseta juurdepääsuks';
$string['configured'] = 'Konfigureeritud';
$string['configuredstatus'] = 'Konfigureeritud';
$string['connectsystemaccount'] = 'Loo süsteemikontoga ühendus';
$string['createfromtemplate'] = 'OAuth 2 teenuse loomine mallist';
$string['createfromtemplatedesc'] = 'Valige üks allolevatest OAuth 2 teenuse mallidest, et luua OAuthi teenus, millel on ühe tuntud teenusetüübi jaoks sobiv konfiguratsioon. See loob OAuth 2 teenuse koos kõigi õigete autentimiseks vajalike lõpp-punktide ja parameetritega, ent uue teenuse kasutamiseks peate siiski sisestama kliendi ID ja salavõtme.';
$string['createnewendpoint'] = 'Loo väljaandjale „{$a}“ uus lõpp-punkt';
$string['createnewfacebookissuer'] = 'Loo uus Facebooki teenus';
$string['createnewgoogleissuer'] = 'Loo uus Google’i teenus';
$string['createnewissuer'] = 'Loo uus kohandatud teenus';
$string['createnewmicrosoftissuer'] = 'Loo uus Microsofti teenus';
$string['createnewnextcloudissuer'] = 'Loo uus Nextcloudi teenus';
$string['createnewuserfieldmapping'] = 'Loo väljaandjale „{$a}“ uus kasutajaväljade vastendus';
$string['deleteconfirm'] = 'Kas soovite identiteediväljaandja „{$a}“ kindlasti kustutada? Kõik sellest väljaandjast sõltuvad lisandmoodulid lõpetavad töö.';
$string['deleteendpointconfirm'] = 'Kas soovite väljaandja „{$a->issuer}“ lõpp-punkti „{$a->endpoint}“ kindlasti kustutada? Kõik sellest lõpp-punktist sõltuvad lisandmoodulid lõpetavad töö.';
$string['deleteuserfieldmappingconfirm'] = 'Kas soovite väljaandja „{$a}“ kasutajaväljade vastenduse kindlasti kustutada?';
$string['discovered'] = 'Teenuse tuvastamine õnnestus';
$string['discovered_help'] = 'Tuvastamine tähendab, et OAuth 2 lõpp-punktid sai OAuthi teenuse jaoks automaatselt baas-URL-ist määrata. Kõik teenused ei nõua „tuvastatavust“, ent sel juhul tuleb lõpp-punktid ja kasutajavastendusteave sisestada käsitsi.';
$string['discoverystatus'] = 'Tuvastamine';
$string['editendpoint'] = 'Muuda lõpp-punkti: väljaandja {$a->issuer} lõpp-punkt {$a->endpoint}';
$string['editendpoints'] = 'Konfigureeri lõpp-punkte';
$string['editissuer'] = 'Muuda identiteediväljaandjat: {$a}';
$string['edituserfieldmapping'] = 'Muuda väljaandja {$a} kasutajaväljade vastendust';
$string['edituserfieldmappings'] = 'Konfigureeri kasutajaväljade vastendust';
$string['endpointdeleted'] = 'Lõpp-punkti kustutati';
$string['endpointname'] = 'Nimi';
$string['endpointname_help'] = 'Selle lõpp-punkti otsimiseks kasutatud võti. Lõpp peab olema „_endpoint“.';
$string['endpointsforissuer'] = 'Väljaandja lõpp-punktid: {$a}';
$string['endpointurl'] = 'URL';
$string['endpointurl_help'] = 'Selle lõpp-punkti URL. Kasutada tuleb protokolli https://.';
$string['issueralloweddomains'] = 'Sisselogimisdomeenid';
$string['issueralloweddomains_help'] = 'Kui see säte on määratud, on see säte komaeraldusega loend domeenidest, millesse on selle pakkuja kasutamise korral sisselogimised keelatud.';
$string['issueralloweddomains_link'] = 'OAuth_2_login_domains';
$string['issuerbaseurl'] = 'Teenuse baas-URL';
$string['issuerbaseurl_help'] = 'Teenusele juurdepääsemiseks kasutatav baas-URL';
$string['issuerclientid'] = 'Kliendi ID';
$string['issuerclientid_help'] = 'Selle väljaandja OAuthi kliendi ID.';
$string['issuerclientsecret'] = 'Kliendi salavõti';
$string['issuerclientsecret_help'] = 'Selle väljaandja OAuthi kliendi salavõti.';
$string['issuerdeleted'] = 'Identiteediväljaandja kustutati';
$string['issuerdisabled'] = 'Identiteediväljaandja keelati';
$string['issuerenabled'] = 'Identiteediväljaandja lubati';
$string['issuerimage'] = 'Logo URL';
$string['issuerimage_help'] = 'Pildi URL, mida kasutatakse selle väljaandja logo kuvamiseks. Võib kuvada sisselogimislehel.';
$string['issuerloginparams'] = 'Sisselogimistaotlusse kaasatud lisaparameetrid.';
$string['issuerloginparams_help'] = 'Osa süsteeme nõuab sisselogimistaotlusele lisaparameetreid, et lugeda kasutaja põhiprofiili.';
$string['issuerloginparamsoffline'] = 'Võrguühenduseta juurdepääsuks sisselogimise taotlusse kaasatud lisaparameetrid.';
$string['issuerloginparamsoffline_help'] = 'Iga OAuthi süsteem määratleb võrguühenduseta juurdepääsu taotlemiseks erineva viisi. Näiteks Google nõuab lisaparameetreid: „access_type=offline&amp;prompt=consent“. Need parameetrid peaksid olema URL-i päringuparameetri vormingus.';
$string['issuerloginscopes'] = 'Sisselogimistaotlusse kaasatud ulatused.';
$string['issuerloginscopes_help'] = 'Osa süsteeme nõuab sisselogimistaotlusele lisaulatusi, et lugeda kasutaja põhiprofiili. Ühilduvussüsteemi OpenID Connect standardulatused on „openid profile email“.';
$string['issuerloginscopesoffline'] = 'Võrguühenduseta juurdepääsuks sisselogimise taotlusse kaasatud lisaulatused.';
$string['issuerloginscopesoffline_help'] = 'Iga OAuthi süsteem määratleb võrguühenduseta juurdepääsu taotlemiseks erineva viisi. Näiteks Microsoft nõuab lisaulatust „offline_access“.';
$string['issuername'] = 'Nimi';
$string['issuername_help'] = 'Identiteediväljaandja nimi. Võib kuvada sisselogimislehel.';
$string['issuerrequireconfirmation'] = 'Nõua eposti teel kinnitamist';
$string['issuerrequireconfirmation_help'] = 'Enne OAuthiga sisselogimist peavad kõik kasutajad kontrollima oma e-posti aadressi. See kehtib äsjaloodud kontode kohta sisselogimisprotsessi osana või kui olemasolev Moodle\'i konto on ühendatud OAuthi sisselogimisega sobivate e-posti aadresside kaudu.';
$string['issuers'] = 'Väljaandjad';
$string['issuersetup'] = 'Levinumate OAuth 2 teenuste üksikasjalikud konfigureerimisjuhised';
$string['issuersetuptype'] = 'Üksikasjalikud {$a} OAuth 2 pakkuja seadistusjuhised';
$string['issuershowonloginpage'] = 'Kuva sisselogimislehel';
$string['issuershowonloginpage_help'] = 'Kui OAuth 2 autentimislisandmoodul on lubatud, on see sisselogimise väljaandja sisselogimislehel loendis ja võimaldab kasutajatel selle väljaandja kontodega sisse logida.';
$string['loginissuer'] = 'Luba sisselogimine';
$string['notconfigured'] = 'Pole konfigureeritud';
$string['notdiscovered'] = 'Teenuse tuvastamine nurjus';
$string['notloginissuer'] = 'Ära luba sisselogimist';
$string['pluginname'] = 'OAuth 2 teenused';
$string['privacy:metadata'] = 'OAuth 2 teenuste pluign ei salvesta isikuandmeid.';
$string['savechanges'] = 'Salvesta muudatused';
$string['serviceshelp'] = 'Teenusepakkuja häälestusjuhised.';
$string['systemaccountconnected'] = 'Süsteemikonto ühendati';
$string['systemaccountconnected_help'] = 'Süsteemikontosid kasutatakse lisandmoodulitele lisafunktsioonide pakkumiseks. Neid ei nõuta üksnes sisselogimisfunktsiooni jaoks, vaid teised OAuthi teenust kasutavad lisandmoodulid võivad pakkuda vähendatud funktsioonikomplekti, kui süsteemikonto pole ühendatud. Näiteks ei saa hoidlad toetada „kontrollitud linke“ ilma süsteemikontota, mis teeb failitoiminguid.';
$string['systemaccountnotconnected'] = 'Süsteemikonto pole ühendatud';
$string['systemauthstatus'] = 'Süsteemikonto ühendati';
$string['usebasicauth'] = 'Luba taotluste autentimine HTTP päiste kaudu';
$string['usebasicauth_help'] = 'Luba värskendamise taotlusega kliendi ID ja parooli saatmisel kasuta HTTP Basic-i autentimisskeemi. Seda soovitab OAuth 2 standard, kuid see ei pruugi mõne väljaandja juures saadaval olla.';
$string['userfieldexternalfield'] = 'Välise välja nimi';
$string['userfieldexternalfield_error'] = 'Väli ei saa sisaldada HTMLi';
$string['userfieldexternalfield_help'] = 'Välise OAuthi süsteemi pakutav väljanimi.';
$string['userfieldinternalfield'] = 'Sisemise välja nimi';
$string['userfieldinternalfield_help'] = 'Moodle’i kasutajavälja nimi, mis tuleks välise väljaga vastendada.';
$string['userfieldmappingdeleted'] = 'Kasutajaväljade vastendus kustutati';
$string['userfieldmappingsforissuer'] = 'Väljaandja {$a} kasutajaväljade vastendus';
